package com.meas.system.mapper;

import com.meas.system.domain.MeasDataResults;

import java.util.List;

/**
 * 数据结果Mapper接口
 *
 * @author wgk
 * @date 2024-06-13
 */
public interface MeasDataResultsMapper {
    /**
     * 查询数据结果
     *
     * @param id 数据结果主键
     * @return 数据结果
     */
    public MeasDataResults selectMeasDataResultsById(Long id);

    /**
     * 查询数据结果列表
     *
     * @param measDataResults 数据结果
     * @return 数据结果集合
     */
    public List<MeasDataResults> selectMeasDataResultsList(MeasDataResults measDataResults);

    /**
     * 新增数据结果
     *
     * @param measDataResults 数据结果
     * @return 结果
     */
    public int insertMeasDataResults(MeasDataResults measDataResults);

    /**
     * 修改数据结果
     *
     * @param measDataResults 数据结果
     * @return 结果
     */
    public int updateMeasDataResults(MeasDataResults measDataResults);

    /**
     * 删除数据结果
     *
     * @param id 数据结果主键
     * @return 结果
     */
    public int deleteMeasDataResultsById(Long id);

    /**
     * 批量删除数据结果
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMeasDataResultsByIds(Long[] ids);

    MeasDataResults selectMeasDataResultsByEnvDataId(Long envDataId);
}
